#include <iostream>
using namespace std;

int main()
{   int N, L, a;
    bool tf=false;
    
    cin>>N;
    cin>>L;
    
    
    int arr[N];
    
    for(int q=0; q<N; q++){
        cin>>a;
        arr[q]=a;
        
    }


   
  for(int w=0; w<N; w++){
      if(L>=arr[w]){
          cout<<w+1<<endl;
          tf=true;
          break;
      }else{
          continue;
          
      }
      }
      
      if (tf==false){
          cout<<-1<<endl;
      }
  
   return 0;}